/**
 * 通用方法
 * 打开window
 * 周枫
 * 2016.1.16
 * 参数说明：
 * name ： 字符串，window名字，不能为空字符串。若为root，则会关闭首页上面所有存在的window，相当于调用closeToWin({name:'root'})方法
 * url : 页面地址，可以为本地文件路径，支持相对路径和绝对路径，以及widget://、fs://等协议路径，也可以为远程地址
 * pageParam : JSON对象
 * bounces : 布尔,页面是否弹动
 * vScrollBarEnabled : 布尔,是否显示垂直滚动条
 * hScrollBarEnabled : 布尔,是否显示水平滚动条
 *
 */
function commonOpenWin(win_name, win_url, is_bounces, is_allowEdit, pageParamJson) {
	api.openWin({
		name : win_name,
		url : win_url,
		bounces : is_bounces,
		delay : 0,
		scrollToTop : true,
		allowEdit : is_allowEdit,
		slidBackEnabled : false,
		scaleEnabled : false,
		vScrollBarEnabled : true,
		hScrollBarEnabled : false,
		slidBackEnabled : false,
		animation : {
			type : "reveal", //动画类型（详见动画类型常量）
			subType : "from_right", //动画子类型（详见动画子类型常量）
			duration : 300
		},
		pageParam : pageParamJson
	});
}

/*
 *author:zhaoj
 *function:打开页面frame页面的公共方法
 *param:
 *name：字符串，frame名字，不能为空字符串。
 *height：数字，header_h的高度和另外添加的高度
 *is_bounces：布尔，是否允许页面弹动
 *is_allowEdit：布尔，是否允许页面编辑
 *bg_color:字符串,设置frame页面的背景颜色
 *pageParamJson：json对象
 *date：20161201
 */
function commonOpenFrame(frame_name, frame_url, height, is_bounces, is_allowEdit, bg_color, pageParamJson) {
	api.openFrame({
		name : frame_name,
		scrollToTop : true,
		allowEdit : is_allowEdit,
		url : frame_url,
		rect : {
			x : 0,
			y : height,
			w : api.winWidth,
			h : api.winHeight - height,
		},
		pageParam : pageParamJson,
		bgColor : bg_color,
		vScrollBarEnabled : true,
		hScrollBarEnabled : false,
		//页面是否弹动 为了下拉刷新使用
		bounces : is_bounces
	});
}

/**
 * 下拉刷新
 * 周枫
 * 2016.1.16
 * 引用方法：
 * //下拉刷新
 */
function commonRefreshHeaderInfo() {
	//绑定下拉刷新历史会话事件
	api.setRefreshHeaderInfo({
		visible : true,
		loadingImg : 'widget://image/local_icon_refresh.png',
		bgColor : '#efefef',
		textColor : '#8E8E8E',
		textDown : '下拉加载更多...',
		textUp : '松开加载...',
		showTime : true
	}, function(ret, err) {
		//从服务器加载数据，完成后调用api.refreshHeaderLoadDone()方法恢复组件到默认状态
		//需要刷新的方法
		showSelfProgress('加载中...');
		currentPage = 1;
		initData(currentPage);
	});
}

/**
 * 上拉加载更多数据--分页
 * 周枫
 * 2016.1.20
 * 引用方法：txl_addfriends_frame.html
 scrollBottomReload(re_fun);
 */
function commonScrollBottomReload() {
	//下移到底部：
	api.addEventListener({
		name : 'scrolltobottom',
		extra : {
			threshold : 100 //设置距离底部多少距离时触发，默认值为0，数字类型
		}
	}, function(ret, err) {
		if ((currentPage + 1) <= totalPages) {
			currentPage = currentPage + 1;
			initData(currentPage);
		} else {
			popToast('已加载全部数据');
		}
	});
}

/**
 * 将选择题选项有json对象转换成数组
 * 赵静
 * 2016.4.9
 */
function commonQuetionOption(count_length, quetionOption, key, key_re) {
	var optionArray = [];
	var quetionOptionJson = JSON.parse(quetionOption);
	var letterArray = ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];
	for (var i = 0; i < count_length; i++) {
		var optionBase64 = eval('quetionOptionJson.' + letterArray[i]);
		var option = Base64.decode(optionBase64);
		option = option.replaceAll(key, key_re);
		optionArray.push(option);
	}
	return JSON.stringify(optionArray);
}

/**
 * 增加选项的名称
 * 赵静
 * 2016.4.9
 */
function commonQuetionOptionFirst(count_length) {
	var answerFirst = [];
	var letterArray = ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];
	for (var i = 0; i < count_length; i++) {
		answerFirst.push(letterArray[i]);
	}
	return JSON.stringify(answerFirst);
}

/**
 * 根据家长id获取学生信息
 * 周枫
 * 2016.4.25
 */
function commonGetStudentInfoByParentId(p_id, i_id, callback) {
	if (i_id == 6) {
		var stu_list = {};
		stu_list["student_id"] = p_id;
		stu_list.roles = [{
			"role_id" : i_id
		}];
		callback(true, stu_list);
	} else {
		api.ajax({
			url : $api.getStorage('BASE_URL_ACTION') + '/person/getPersonInfo',
			method : 'post',
			dataType : 'json',
			data : {
				values : {
					person_id : p_id,
					identity_id : i_id
				}
			}
		}, function(ret, err) {
			if (err) {
				callback(false, '未找到您的孩子信息，请联系班主任老师');
				setTimeout(function() {
					api.closeWin();
				}, 2000);
			} else {
				if (ret.success) {
					callback(true, ret.table_List);
				} else {
					callback(false, '未找到您的孩子信息，请联系班主任老师');
					setTimeout(function() {
						api.closeWin();
					}, 2000);
				}
			}
		});
	}
}

/**
 * 获取任课计划和班主任对应班级列表
 * query_type 0：班主任， 1：任课计划，2：全部
 * {"list":[{"class_name":"2015级2班","class_id":1167},{"class_name":"2010级1班","class_id":248}],"success":true}
 * 周枫
 * 2016.4.7
 */
function commonloadClassListData(query_type, callback) {
	api.ajax({
		url : $api.getStorage('BASE_URL_ACTION') + '/class/getClassByPersonIDIdentityID',
		method : 'get',
		dataType : 'json',
		data : {
			values : {
				"person_id" : $api.getStorage('person_id'),
				"identity_id" : $api.getStorage('identity'),
				"query_type" : query_type
			}
		}
	}, function(ret, err) {
		if (err) {
			callback(false, '获取班级列表失败')
		} else {
			if (ret.success) {
				callback(true, ret.list)
			} else {
				callback(false, '获取班级列表失败')
			}
		}
	});
}

function commonUploadFiles(file_path, callback) {
	api.showProgress({
		title : '上传中...',
		modal : true
	});
	//扩展名
	var ldot = file_path.lastIndexOf(".");
	var ext = file_path.substring(ldot + 1);
	//			var ext = file_path.substring(ldot + 1).substring(0,3);
	if (ext != "jpg" && ext != "png" && ext != "JPG" && ext != "PNG") {
		//api.hideProgress();
		callback(0, '', '');
		//popToast("文件格式只支持png和jpg");
		return;
	}
	if (BASE_APP_TYPE == 1) {
		var v_guid = newGuid();
		//图片上传服务器时路径
		var _key = url_path_suffix + v_guid.substring(0, 2) + "/" + v_guid + "." + ext;
		notice_img_path = _key;
		api.ajax({
			url : $api.getStorage('BASE_URL_ACTION') + '/res/uploadFileToAliyun',
			method : 'post',
			timeout : 30,
			dataType : 'json',
			returnAll : false,
			data : {
				values : {
					key : _key
				},
				files : {
					file : file_path
				}
			}
		}, function(ret, err) {
			//					api.hideProgress();
			if (err) {
				if (err.statusCode == '200') {
					callback(true, v_guid, ext);
				} else {
					callback(false, '', '');
				}
			} else {
				if (ret.statusCode == '200') {
					callback(true, v_guid, ext);
				} else {
					callback(false, '', '');
				}
			}
		});
	} else {
		//局版
		var v_guid = newGuid();
		var extension = ext;
		//图片上传服务器时路径
		var _key = url_path_suffix + v_guid.substring(0, 2) + "/" + v_guid + "." + ext;
		notice_img_path = _key;
		api.ajax({
			url : $api.getStorage('BASE_URL_ACTION') + '/res/newUpload/',
			method : 'post',
			timeout : 30,
			dataType : 'json',
			returnAll : false,
			data : {
				values : {
					key : _key
				},
				files : {
					file : file_path
				}
			}
		}, function(ret, err) {
			//					api.hideProgress();
			if (err) {
				callback(false, '', '');
			} else {
				if (ret.success) {
					callback(true, v_guid, extension);
				} else {
					callback(false, '', '');
				}
			}
		});
	}
}

/**
 * 递归上传文件方法
 * 周枫
 * 2016.5.21
 */
function commonDgUploadFilses(f_c, file_attrs, result_attrs, callback) {
	var file_l = getJsonObjLength(file_attrs);
	if (f_c < file_l) {
		var pic_url_old = file_attrs[f_c];
		commonUploadFiles(pic_url_old, function(is_true, a_file_id, a_ext) {
			if (is_true === 0) {
				callback(true, result_attrs);
			} else if (is_true) {
				var file_id = a_file_id;
				var ext = a_ext.toLowerCase();
				var file_ext = file_id + '$' + ext;
				result_attrs[f_c] = file_ext;
				f_c++;
				return commonDgUploadFilses(f_c, file_attrs, result_attrs, callback);
			} else {
				return commonDgUploadFilses(f_c, file_attrs, result_attrs, callback);
			}
		});

	} else {
		api.hideProgress();
		callback(true, result_attrs);
	}
}

/**
 * 跳转进入应用页面
 * 周枫
 * 2016.5.13
 */
function commonOpenYyHtml(yy_name) {
	var is_open = false;
	for (var i = 0; i < BASE_YY_OPEN.length; i++) {
		if (yy_name == BASE_YY_OPEN[i]) {
			is_open = true;
		}
	}
	var header_h = 40;
	if (is_open) {
		api.openWin({
			name : yy_name,
			url : './html/yingyong/' + yy_name + '.html',
			pageParam : {
				header_h : header_h
			},
			scrollToTop : true,
			bounces : false,
			showProgress : false,
			vScrollBarEnabled : false,
			hScrollBarEnabled : false,
			slidBackEnabled : false,
			delay : 0,
			animation : {
				type : "reveal", //动画类型（详见动画类型常量）
				subType : "from_right", //动画子类型（详见动画子类型常量）
				duration : 300
			}
		});
	} else {
		api.alert({
			msg : '对不起，当前应用尚未开通。'
		}, function(ret, err) {
			//coding...
		});
	}
}

/**
 * 弹出Alert提示框
 * 赵静
 * 2016.5.8
 */
function popAlert(message) {
	api.alert({
		msg : message
	}, function(ret, err) {
	});
}

/**
 * 弹出Alert提示框，并显示标题和内容以及点击确定的对调函数
 * 赵静
 * 2016.11.23
 */
function popAlertAndShowTitle(title, msg, fun_name) {
	api.alert({
		title : title,
		msg : Base64.decode(msg)
	}, function(ret, err) {
		if (ret.buttonIndex == 1 && fun_name != "") {
			eval(fun_name);
		}
	});
}
/**
 * 弹出Alert提示框，并显示标题和内容以及点击确定的对调函数
 * 赵静
 * 2016.11.23
 */
function popAlertAndShowTitleNoBase64(title, msg, fun_name) {
	api.alert({
		title : title,
		msg : msg
	}, function(ret, err) {
		if (ret.buttonIndex == 1 && fun_name != "") {
			eval(fun_name);
		}
	});
}
/**
 * 弹出Toast提示框
 * 赵静
 * 2016.5.8
 */
function popToast(message) {
	api.toast({
		msg : message,
		location : 'middle'
	});
}

/**
 *function: 下方弹出Toast提示框
 *author： 赵静
 *date: 20161130
 */
function popBottomToast(message) {
	api.toast({
		msg : message,
		location : 'bottom'
	});
}

/*
 *author:zhaoj
 *function:弹出确定按钮和取消按钮confirm
 *date：20160523
 */
function popTwoBtnConfirm(titile, msg, fun_name) {
	api.confirm({
		title : titile,
		msg : msg,
		buttons : ["取消", "确定"]
	}, function(ret, err) {
		if (2 == ret.buttonIndex) {
			eval(fun_name);
		}
	});
}

/**
 *
 * 给被评论人发送系统消息
 * 周枫
 * 2016.5.18
 *
 * @param {Object} sender_id： 发送人id
 * @param {Object} sender_person_name：发送人姓名
 * @param {Object} sender_login_name：发送人登录名
 * @param {Object} sender_identity：发送人身份
 * @param {Object} target_login_names：接收人登录名数组
 * @param {Object} is_url：是否允许跳转页面，1允许，2不允许
 * @param {Object} url_name：跳转页面名称，需要在base-config.js中配置BASE_YY_OPEN
 * @param {Object} param_num：使用模板编号，需要找周枫
 * @param {Object} sysmsg_code：业务编码，自定义，便于日后查询
 * @param {Object} bureau_id：机构id，非必传，便于查询
 * @param {Object} district_id：区id，非必传，便于查询
 * @param {Object} city_id：市id，非必传，便于查询
 * @param {Object} province_id：省id，非必传，便于查询
 * @param {Object} params：模板参数数组，10个元素
 */
function commonSendSysMsg(sender_id, sender_person_name, sender_login_name, sender_identity, target_login_names, is_url, url_name, param_num, sysmsg_code, bureau_id, district_id, city_id, province_id, params, callback) {
	var sysmsg_json = {};
	sysmsg_json["sender_id"] = sender_id + '';
	sysmsg_json["sender_person_name"] = sender_person_name;
	sysmsg_json["sender_login_name"] = sender_login_name;
	sysmsg_json["sender_identity"] = sender_identity + '';
	sysmsg_json["is_url"] = is_url + '';
	sysmsg_json["url_name"] = url_name;
	sysmsg_json["param_num"] = param_num + '';
	sysmsg_json["sysmsg_code"] = sysmsg_code;
	sysmsg_json["bureau_id"] = bureau_id + '';
	sysmsg_json["district_id"] = district_id + '';
	sysmsg_json["city_id"] = city_id + '';
	sysmsg_json["province_id"] = province_id + '';
	var to_ids = [];
	for (var i = 0; i < target_login_names.length; i++) {
		var to_id = {};
		to_id["target_login_name"] = target_login_names[i];
		to_ids[i] = to_id;
	}
	sysmsg_json["target_list"] = to_ids;
	var params_list = {};
	for (var i = 0; i <= 9; i++) {
		if ('undefined' != typeof (params[i]) || null != params[i]) {
			params_list["param" + (i + 1)] = params[i];
		} else {
			params_list["param" + (i + 1)] = "";
		}
	}
	sysmsg_json["params_list"] = params_list;

	//	var sysmsg_json = '{"sender_id":"91936","sender_person_name":"黄海","sender_login_name":"liujing16","sender_identity":"5","is_url":"1","url_name":"wenzhang_index_window","param_num":"2","sysmsg_code":"WENZHANG_20160518","bureau_id":"302049","district_id":"302049","city_id":"302049","province_id":"302049","target_list":[{"target_login_name":"zhoufeng2"}],"params_list":{"param1":"文章","param2":"文章评论","param3":"文章标题","param4":"参数","param5":"参数","param6":"参数","param7":"参数","param8":"参数","param9":"参数","param10":"参数"}}';
	api.ajax({
		url : BASE_URL_ACTION + '/rongcloud/sendSystemMessage',
		method : 'post',
		dataType : 'json',
		cache : false,
		data : {
			values : {
				"sysmsg_json" : JSON.stringify(sysmsg_json)
			}
		}

	}, function(ret, err) {
		if (err) {
			callback(false);
			//popToast('发送失败');
		} else {
			callback(true);
			//popToast('发送成功');
		}
	});
}

/**
 * 服务器内容转融云内容
 * 例： zfapp -- zfapp_199
 * 周枫
 * 2016.03.09
 */
function commonOldParamToNewParam(old_param) {
	//没有后缀，加上后缀
	if (old_param.lastIndexOf('_' + $api.getStorage('BASE_SERVER_NAME')) == -1) {
		old_param = old_param + "_" + $api.getStorage('BASE_SERVER_NAME');
	}
	return old_param;
}

/**
 * 融云内容转服务器内容
 * 例： zfapp_199 -- zfapp
 * 周枫
 * 2016.03.09
 */
function commonNewParamToOldParam(new_param) {
	//有后缀，去掉后缀
	if (new_param.lastIndexOf('_' + $api.getStorage('BASE_SERVER_NAME')) != -1) {
		var sub_key = "_" + $api.getStorage('BASE_SERVER_NAME');
		var sub_index = new_param.lastIndexOf(sub_key);
		new_param = new_param.substring(0, sub_index);
	}
	return new_param;
}

/**
 * 根据人员id获取人员信息
 * 周枫
 * 2016.06.02
 */
function commonGetPInfoByPId(person_id, identity_id, callback) {
	$.ajax({
		type : 'GET',
		url : BASE_URL_ACTION + '/person/getPersonInfo',
		data : {
			person_id : person_id,
			identity_id : identity_id
		},
		dataType : 'json',
		timeout : 0,
		success : function(data) {
			callback(true, data);
		},
		error : function(xhr, type) {
			callback(false, '');
		}
	});
}

/*
 *作者:zhaoj
 *功能:打开加载数据的提示框
 *日期：20160819
 */
function showSelfProgress(msg) {
	api.showProgress({
		title : msg,
		text : '请稍候...',
		modal : false
	});
}

/*
 *作者:zhaoj
 *功能:是否是空的字符串
 *日期：20161018
 */
function isEmptyString(str) {
	return typeof (str) == "undefined" || str == null || str.length == 0;
}

/*
 *作者:zhaoj
 *功能:点击搜索
 *日期：20161024
 */
function commonDoSearch() {
	$api.addCls($api.dom(".aui-searchbar-wrap"), "focus");
	$api.dom('.aui-searchbar-input input').focus();
}

/*
 *作者:zhaoj
 *功能:取消搜索
 *日期：20161024
 */
function commonCancelSearch() {
	var content = $api.val($api.byId("search-input"));
	if (content.length > 0) {
		$api.val($api.byId("search-input"), '');
		startSearch(0);
	}
	$api.removeCls($api.dom(".aui-searchbar-wrap.focus"), "focus");
	$api.val($api.byId("search-input"), '');
	$api.dom('.aui-searchbar-input input').blur();
}

/*
 *作者:zhaoj
 *功能:清空搜索
 *日期：20161024
 */
function commonClearInput() {
	var content = $api.val($api.byId("search-input"));
	if (content.length > 0) {
		$api.val($api.byId("search-input"), '');
		startSearch(0);
	}
}

/*
 *作者:zhaoj
 *功能:开始搜索
 *参数:type=1时，代表从页面中键盘直接点击的搜索，type=0时，代表是取消搜索或者是清空搜索
 *日期：20161024
 */
function commonSearch(type, callback) {
	var content = $api.val($api.byId("search-input"));
	content = $api.trimAll(content);
	content = commonRemoveHTMLTag(content);
	content = Base64.encode(content);
	//ios系统时，将base64加密之后的+号替换成%2B
	if (api.systemType == 'ios') {
		content = content.replace(/\+/g, "%2B");
	}
	if (type) {
		if (content) {
			callback(content);
		} else {
			popToast('您没有输入任何内容');
		}
	} else {
		callback(content);
	}
	$api.dom('.aui-searchbar-input input').blur();
}

/*
 *作者:zhaoj
 *功能:打开滑动条页面
 *日期：20161024
 */
function commonMyNavigationBar(params) {
	commonInitNavigationBarParams(params, function(data) {
		var frame_url;
		if (params.file_level == 1) {
			frame_url = '../yingyong/common/common_nav_frame.html'
		} else {
			frame_url = '../../yingyong/common/common_nav_frame.html'
		}
		//打开通知内容frame
		api.openFrame({
			name : params.name,
			url : frame_url,
			rect : {
				x : data.x,
				y : data.y,
				w : data.w,
				h : data.h,
			},
			pageParam : {
				params : data
			},
			bounces : false,
			allowEdit : false,
			scrollToTop : true,
			bgColor : 'rgba(0,0,0,0)',
			vScrollBarEnabled : true,
			hScrollBarEnabled : false
		});
	})
}

/*
 *作者:zhaoj
 *功能:初始化滑动条参数
 *日期：20161027
 */
function commonInitNavigationBarParams(params, callback) {
	if (isEmptyString(params.x)) {
		params.x = 0;
	}
	if (isEmptyString(params.w)) {
		params.w = api.winWidth;
	}
	if (isEmptyString(params.h)) {
		params.h = 45;
	}
	if (isEmptyString(params.file_level)) {
		params.file_level = 1;
	}
	if (isEmptyString(params.name)) {
		params.name = 'common_nav_frame';
	}
	callback(params);
}

/*
 *作者:zhaoj
 *功能:关闭滑动条
 *日期：20161024
 */
function commonCloseNavigationBar() {
	api.closeFrame({
		name : 'common_nav_frame'
	});
}

/*
 *作者:zhaoj
 *功能:安卓点击返回的时候
 *日期：20161029
 */
function commonBackForAndroid() {
	if (api.systemType == 'android') {
		api.addEventListener({
			name : "keyback"
		}, function(ret, err) {
			back();
		});
	}
}

/**
 * 打开一个页面进行统计
 * 周枫
 * 2016.11.29
 * @param {Object} frame_name
 */
function commonOpenTjData(param_name) {
	tongji_data.onPageStart(param_name);
}

/**
 * 关闭一个页面进行统计
 * 周枫
 * 2016.11.29
 * @param {Object} frame_name
 */
function commonCloseTjData(param_name) {
	tongji_data.onPageEnd(param_name);
}

/*
 *作者:zhaoj
 *功能:没有分页的渲染html
 *日期：20161116
 */
function commonAddOnceHtml(div_id, script_id, data) {
	var html_type = template.render(script_id, data);
	document.getElementById(div_id).innerHTML = html_type;
}

/*
 *作者:zhaoj
 *功能:渲染html
 *参数:currentPage为全局变量，代表分页
 *日期：20161101
 */
function commonAddManyHtml(div_id, script_id, data) {
	var html_type = template.render(script_id, data);
	if (currentPage == 1) {
		document.getElementById(div_id).innerHTML = html_type;
	} else {
		$api.append($api.byId(div_id), html_type);
	}
}

/*
 *author:zhaoj
 *function:关闭frame页面
 *date：20161202
 */
function commonCloseFrame(frame_name) {
	api.closeFrame({
		name : frame_name
	});
}

/*
 *author:zhaoj
 *function:打开语音播放frame页面
 *date：20161202
 */
function commonListernArticle(type) {
	voicePlayer.listernArticle(type);
}

/*
 *author:zhaoj
 *function:向window页面添加朗读内容
 *date：20161202
 */
function commonVoiceContent(voice_content) {
	//播放内容需要加密去空格
	var content = Base64.encode($api.trimAll(voice_content));
	api.execScript({
		script : 'voicePlayer.addVoiceContent("' + content + '");'
	});
}

/*
 *author:zhaoj
 *function:定位header位置，留出上面电池等空隙，苹果需要
 *date：20161205
 */
function commonIosAuiHeader() {
	var header = $api.byId('aui-header');
	$api.fixStatusBar(header);
	var headerPos = $api.offset(header);
}

/**
 * 根据字节数返回对应MB,GB等格式；传入B，转出KB,MB等
 * 周枫
 * 2016.12.10
 * @param {Object} bytes
 */
function commonBytesToSize(bytes) {
	if (bytes === 0)
		return '0 B';
	var k = 1000, // or 1024
	sizes = ['B', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'], i = Math.floor(Math.log(bytes) / Math.log(k));
	return (bytes / Math.pow(k, i)).toPrecision(3) + ' ' + sizes[i];
}

function commonGetPicUrl(app_type, pic_id, pic_ext) {
	var pic_url = "";
	if (app_type == 1) {
		pic_url = "http://image.edusoa.com/down/Material/" + a_id.substring(0, 2) + "/" + a_id + '.' + a_ext + "@96w_96h_100Q_1x." + a_ext;
	} else {
		a_avatar_url = BASE_URL_ACTION + "/html/thumb/Material/" + a_id.substring(0, 2) + "/" + a_id + '.' + a_ext + "@96w_96h_100Q_1x." + a_ext;
	}

}

/*
 *author:zhaoj
 *function:应用从后台回到前台事件，字符串类型
 *date：20170111
 */
function commonResume(fun_name) {
	api.addEventListener({
		name : 'resume'
	}, function(ret, err) {
		eval(fun_name);
	});
}

/*
 *author:zhaoj
 *function:应用进入后台事件，字符串类型
 *date：20170111
 */
function commonPause(fun_name) {
	api.addEventListener({
		name : 'pause'
	}, function(ret, err) {
		eval(fun_name);
	});
}

/**
 * 解析xml
 * 示例：
 * 周枫
 * 2017.02.15
 */
function commonLoadXML(xmlString) {
	var xmlDoc = null;
	//判断浏览器的类型
	//支持IE浏览器
	if (!window.DOMParser && window.ActiveXObject) {//window.DOMParser 判断是否是非ie浏览器
		var xmlDomVersions = ['MSXML.2.DOMDocument.6.0', 'MSXML.2.DOMDocument.3.0', 'Microsoft.XMLDOM'];
		for (var i = 0; i < xmlDomVersions.length; i++) {
			try {
				xmlDoc = new ActiveXObject(xmlDomVersions[i]);
				xmlDoc.async = false;
				xmlDoc.loadXML(xmlString);
				//loadXML方法载入xml字符串
				break;
			} catch(e) {
			}
		}
	}
	//支持Mozilla浏览器
	else if (window.DOMParser && document.implementation && document.implementation.createDocument) {
		try {
			/* DOMParser 对象解析 XML 文本并返回一个 XML Document 对象。
			 * 要使用 DOMParser，使用不带参数的构造函数来实例化它，然后调用其 parseFromString() 方法
			 * parseFromString(text, contentType) 参数text:要解析的 XML 标记 参数contentType文本的内容类型
			 * 可能是 "text/xml" 、"application/xml" 或 "application/xhtml+xml" 中的一个。注意，不支持 "text/html"。
			 */
			domParser = new DOMParser();
			xmlDoc = domParser.parseFromString(xmlString, 'text/xml');
		} catch(e) {
		}
	} else {
		return null;
	}
	return xmlDoc;
}

/*
 *author:zhaoj
 *function:获取服务器当前时间
 *date：20170215
 */
function commonGetCurrentDate(callback) {
	api.ajax({
		url : BASE_URL_ACTION + '/xx/getCurrentDate',
		method : 'get',
		timeout : 30,
		dataType : 'json',
		returnAll : false,
		data : {
			values : {
				"random_num" : creatRandomNum()
			}
		}
	}, function(ret, err) {
		if (err) {
			nowTime = new Date();
			nowMillisecond = Date.parse(nowTime);
		} else {
			if (ret.success) {
				nowTime = new Date(ret.dateStr2.replace(/\-/g, "/"));
				nowMillisecond = Date.parse(new Date(ret.dateStr2.replace(/\-/g, "/")));
			} else {
				nowTime = new Date();
				nowMillisecond = Date.parse(nowTime);
			}
		}
		callback(nowTime, nowMillisecond);
	});
}

/**
 * 过滤html标签，防注入
 * 周枫
 * 2017.03.01 
 * @param {Object} str 
 */
function commonRemoveHTMLTag(str) {
	str = str.replace(/<\/?[^>]*>/g, '');
	//去除HTML tag
	str = str.replace(/[ | ]*\n/g, '\n');
	//去除行尾空白
	//str = str.replace(/\n[\s| | ]*\r/g,'\n'); //去除多余空行
	str = str.replace(/ /ig, '');
	//去掉
	return str;
}

/*
*author:zhaoj
*function:屏幕向左滑动
*date：20170303
*/
function commonScreenSwipeLeft(func_name){
	api.addEventListener({
		name : 'swipeleft'
	}, function(ret, err) {
		eval(func_name);
	});
}

/*
*author:zhaoj
*function:屏幕向右滑动
*date：20170303
*/
function commonScreenSwipeRight(func_name){
	api.addEventListener({
		name : 'swiperight'
	}, function(ret, err) {
		eval(func_name);
	});
}
/*
*author:zhaoj
*function:图片添加缓存
*param：img_url 要求为数组格式
*date：201706017
*/
function commonGetImageCache(img_url, callback){
	showSelfProgress('加载中...');
	var img_array=[];
	for(var i = 0; i < img_url.length; i++){
		api.imageCache({
			url : img_url[i],
			thumbnail:false
		}, function(ret, err) {
			if(!ret.status){
				img_array.push(img_url[i]);
			}else{
				img_array.push(ret.url);
			}
			if(img_array.length == img_url.length){
				api.hideProgress();
				callback(img_array);
			}
		});
	}
}

