/* 封装了对app安装操作的接口,  下载、安装、打开第三方APP 2016.12.26 周枫 
*param:type=1:游戏；type=2：专题；type=3：学案 
*/

var common_app = {
	//判断设备上面是否已安装指定应用
	appInstalled : function(oparamJsonData) {
		api.appInstalled({
			appBundle : oparamJsonData.app_key
		}, function(ret, err) {
			if (ret.installed) {
				//专题的话，添加专题动态
				if(oparamJsonData.type == 2){
					saveResultRecord();//记录学习了专题动态
				}
				//应用已安装
				common_app.getPlayUrl(oparamJsonData);
			} else {
				//应用未安装
                popTwoBtnConfirm("提示", "运行该游戏需要安装东师理想游戏播放器，您尚未安装，是否现在下载并安装？安装完成后，需要在人人通重新点击开始学习按钮进入游戏。", "common_app.installApp('"+JSON.stringify(oparamJsonData)+"')");
			}
		});
	},
	//获取播放的url以及参数
	getPlayUrl :function(oparamJsonData) {
		if(oparamJsonData.type == 1 || oparamJsonData.type == 2 || oparamJsonData.type == 3){
			//游戏和专题
			var identity_id = $api.getStorage('identity');
	        var person_id = $api.getStorage('person_id');
	        var http_url = 'http://'+$api.getStorage('BASE_SERVER_IP');
	        var class_id = $api.getStorage('class_id');
	        var token = $api.getStorage('token_ypt');
	        var resource_id = oparamJsonData.resource_id;
	        var zy_type = oparamJsonData.type;
	        var id = oparamJsonData.id;  
	        var pt_type = $api.getStorage('BASE_APP_TYPE');        
	        var app_param = {};
	        if(api.systemType == "ios"){
	        	app_param["identity_id"] = Base64.encode(identity_id);
		        app_param["person_id"] = Base64.encode(person_id);
		        app_param["class_id"] = Base64.encode(class_id);
		        app_param["token"] = Base64.encode(token);
		        app_param["resource_id"] = Base64.encode(resource_id);
		        app_param["id"] = Base64.encode(id);
		        app_param["zy_type"] = Base64.encode(zy_type);
		        app_param["http_url"] = Base64.encode(http_url);
		        app_param["pt_type"] = Base64.encode(pt_type);
	        }else{
	        	app_param["a_href"] = "dsideal://zybfq/openapp?http_url="+http_url+"&id="+id+"&token="+token+"&zy_type="+zy_type+"&class_id="+class_id+"&person_id="+person_id+"&resource_id="+resource_id+"&identity_id="+identity_id+"&pt_type="+pt_type;
	        };
			common_app.openApp(oparamJsonData, app_param);
		}
	},
	//打开手机上其它应用，可以传递参数
	openApp : function(oparamJsonData, app_param) {
		var app_type = api.systemType;
		if (app_type == "ios") {
			api.openApp({
				iosUrl : oparamJsonData.app_key,//目标应用的url（iOS平台使用），iOS下必传,URL Scheme
				appParam : app_param//传给目标应用的参数。iOS 平台会将 appParam 里面的值拼接到 iosUrl 后面；JSON 对象
			});
		} else {
			window.location.href = app_param.a_href;
		}
	},
	//安装应用，如果是苹果的AppStore应用地址，将会跳转到AppStore应用详情页面
	installApp : function(oparamJsonData) {
		jsonData = JSON.parse(oparamJsonData);
		if(api.systemType == "ios"){
			api.openApp({
                iosUrl : jsonData.down_url,
            }, function(ret, err) {
            });
		} else {
			showSelfProgress("下载中...");
			api.download({
			    url: jsonData.down_url,
			    savePath: BASE_FS_ZYAPP_PATH+creatRandomNum()+'.apk',
			    report: true,
			    cache: true,
			    allowResume: true
			}, function(ret, err) {
				api.hideProgress();
			    if (ret.state == 1) {
			        //下载成功
			        var path = ret.savePath;
			        api.installApp({
						appUri : path//目标应用的资源文件标识。Android上为apk包的本地路径，如file://xxx.apk；iOS上为应用安装包对应的plist文件地址
					});
			    } else {
			    }
			});
		}
	},
	
};
