/* photoBrowser图片组件  封装photoBrowser模块  2016.09.13 周枫 */
var photoBrowser = {
	//打开图片浏览器
	open : function(img_urls, active_index,callback) {
		var photo_browser = api.require('photoBrowser');
		photo_browser.open({
			images : img_urls,
			placeholderImg : 'widget://res/yy/weike/wk_default.png',
			activeIndex : active_index,
			bgColor : '#000',
			//是否打开缩放手势识别功能（随手势放大缩小图片）
			zoomEnabled : true
		}, function(ret, err) {
			if (ret) {
				var e_type = ret.eventType;
				var e_index = ret.index;
				switch(e_type) {
					case 'click':
						photoBrowser.close();
						callback(true);
						break;
					case 'longPress':
						api.actionSheet({
							cancelTitle : '取消',
							buttons : ['保存图片']
						}, function(ret, err) {
							var index = ret.buttonIndex;
							if (index == 1) {
								photoBrowser.getIndex(function(image_index) {
									photoBrowser.getImage(image_index, function(image_path) {
										api.saveMediaToAlbum({
											path : image_path
										}, function(ret, err) {
											if (ret && ret.status) {
												api.toast({
													msg : '已成功保存到相册'
												});
											}
										});
									});
								});
							}
						});
						break;
					case 'change':

						break;
				}
			} else {
				api.toast({
					msg : '获取图片失败'
				});
			}
		});
	},
	//关闭
	close : function() {
		var photo_browser = api.require('photoBrowser');
		photo_browser.close();
	},
	//获取指定图片在本地的绝对路径
	getImage : function(image_index, callback) {
		var photo_browser = api.require('photoBrowser');
		photo_browser.getImage({
			index : image_index
		}, function(ret, err) {
			if (ret) {
				callback(ret.path);
			}else {
				api.toast({
					msg : '获取图片失败'
				});
			}
		});
	},
	//获取当前图片在图片路径数组内的索引
	getIndex : function(callback) {
		var photo_browser = api.require('photoBrowser');
		photo_browser.getIndex(function(ret, err) {
			if (ret) {
				callback(ret.index);
			} else {
				api.toast({
					msg : '获取图片失败'
				});
			}
		});
	}
};
