// 语音播放器
var voicePlayer = {
	//开始读文字
	startRead : function(params, callback) {
		var speechRecognizer = api.require('speechRecognizer');
		speechRecognizer.read({
			readStr : params.readStr, //要读取的文字信息
			speed : params.speed, //朗读的语速，范围是0-100
			volume : params.volume, //朗读的声音大小，范围是0-100
			voice : params.voice, //朗读人
			rate : params.rate, //采样率(支持16000，8000)
			audioPath : params.audioPath//朗读的音频保存路径（如fs://123.pcm，一定要加后缀名），不支持widget 协议。
		}, function(ret, err) {
			//status:  布尔类型,操作成功状态值，true|false;     speakProgress：     数字类型；朗读的进度
			if (ret.status) {
				callback(true, ret);
			} else {
				callback(false, err);
			}
		});
	},
	//停止朗读
	stopRead : function() {
		var speechRecognizer = api.require('speechRecognizer');
		speechRecognizer.stopRead();
	},
	//暂停朗读
	pauseRead : function() {
		var speechRecognizer = api.require('speechRecognizer');
		speechRecognizer.pauseRead();
	},
	//恢复朗读
	resumeRead : function() {
		var speechRecognizer = api.require('speechRecognizer');
		speechRecognizer.resumeRead();
	},
	//打开或关闭语音播放页面
	listernArticle : function(type){
		var url;
		if(type == 1){
		   url = '../common/common_voiceplay_frame.html'
		}else if(type == 2){
		  url = '../../common/common_voiceplay_frame.html'
		}
		//voice_type1显示播放页面 2打开播放页面
		if (voice_type == 1) {
			api.setFrameAttr({
				name : 'common_voiceplay_frame',
				hidden : false
			});
		} else if (voice_type == 2) {
			api.openFrame({
				name : 'common_voiceplay_frame',
				url : url,
				bounces : false,
				rect : {
					x : 0,
					y : 0,
					w : 'auto',
					h : 'auto'
				},
				bgColor : 'rgba(0,0,0,0)',
				pageParam : {
					header_h : header_h,
					voice_content : voice_content,
					nameWin : api.winName
				},
				reload : true
			});
		}
	},
	//添加朗读内容
	addVoiceContent:function(content){
		voice_content = content;
		$api.css($api.byId('play'), 'display:block;');
	},
	//改变voice_type全局变量
	changeVoiceType:function(index){
		voice_type = index;
	}
}

/*
 *author:ws
 *function:对文章朗读内容进行分割
 *date：20161124
*/
function listernArticle(c,callback) {
	//内容长度
	var c_l = c.length;
	//分割模块长度
	var c_s = 500;
	//起始值
	var c_n = 0;
	//分割成数组
	var c_a = [];
	if (c_l % c_s != 0) {
		c_n = (c_l / c_s) + 1;
	} else {
		c_n = c_l / c_s;
	}
	//分割内容到数组中
	for (var i = 0; i < c_n; i++) {
		c_a[i] = c.substring((i * c_s), ((i + 1) * c_s));
	}
	callback(c_a);
}

/*
 *author:ws
 *function:递归语音播放文章
 *date：20161124
*/
function readWzContent(wz_c, wz_attrs,callback) {
	var wz_l = wz_attrs.length;
	if ((wz_c < wz_l) && (wz_attrs[wz_c] != '')) {
	    callback(true,wz_attrs[wz_c]);  	
	} else {
		//朗读完毕
	}
}


